       wavutil - a tool to analyze & modify *.wav files
                    (c) 2004-2005 C. Siebholz
                          Version 0.0.2


Tool to detect silence in WAV files,
     to remove silence at the beginning and at the end and
     to split to multiple WAV files if there are gaps in the WAV file.
(C) 2005 Carsten Siebholz <c.siebholz@t-online.de>

Usage: wavutil [OPTION]... FILE
  -o, --output=BASEFILE  output file base filename.
                         The output files will have an additional number
                         and the extension .wav:
                          Split_01.wav ... Split_99.wav
                         (default: the basename of the input file)
  -a, --analyze          just analyze the input FILE
                         (does not create any output files)
  -b, --begin            remove silence at the beginning
  -B, --begin-gap=TIME   this parameter specifies a time to start the track
                         before the first 'loud' sample (in 1/1000 sec)
                         (default: 100)
  -e, --end              remove silence at the end
  -E, --end-gap=TIME     this parameter specifies a time to end the track
                         after the last 'loud' sample (in 1/1000 sec)
                         (default: 400)
  -s, --split            split XXX
  -g, --gap-length=TIME  minimum gap length in 1/1000 seconds
                         (default: 3000)
  -t, --threshold=VAL    threshold for silence in 1/1000 of the full amplitude
                         (16bit: +32768...-32768  8bit: +127...-128)
                         (default: 8)
  -D, --debug            enable additional debug output
  -V, --version          display version information and exit
  -h, --help             display this help and exit

Report bugs, comments, ideas to <c.siebholz@t-online.de>
http://www.htpc-forum.de/csiebholz/


Example:
  The command
    wavutil -o Split -b -e -s -B 100 -E 400 -g 2000 -t 3 input.wav
  checks the input file 'input.wav' for silence in the middle of the song (-s).
  If the song contains at least 2 sec (-g 2000) silence in the middle, the song
  will be splitted into multiple parts Split_01.wav, Split_02.wav,...(-o Split)
  Each part will be checked for silence at the beginning (-b) and
  at the end (-e). Silence at the beginning that is longer than 0,1 sec (-B 100)
  and silence at the end that is longer than 0,4 sec (-E 400) will be removed.
  A sample is classified as silence, if it's amplitude is lesser than
  3 permille (-t 3) of the maximum amplitude.


Have fun...   Carsten

